Data Structures | Typedefs | Enumerations

# departures_type.h File Reference

Types related to departures. More...

`#include "station_base.h"`
`#include "order_base.h"`

Go to the source code of this file.

## Data Structures
struct | Departure
| A scheduled departure. More...
## Typedefs
typedef struct Departure | Departure
| A scheduled departure.
typedef SmallVector< Departure *, 32 > | DepartureList
## Enumerations
enum | DepartureStatus { D_TRAVELLING = 0, D_ARRIVED = 1, D_CANCELLED = 2 }
| Whether or not a vehicle has arrived for a departure. More...
enum | DepartureType { D_DEPARTURE = 0, D_ARRIVAL = 1 }
| The type of departures. More...

## Detailed Description

Types related to departures.

Definition in file departures_type.h.

## Typedef Documentation

typedef struct Departure Departure

A scheduled departure.

## Enumeration Type Documentation

enum DepartureStatus

Whether or not a vehicle has arrived for a departure.

Definition at line 19 of file departures_type.h.

enum DepartureType

The type of departures.

Definition at line 26 of file departures_type.h.